# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: src/generated/Python/projector.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='src/generated/Python/projector.proto',
  package='provee',
  syntax='proto3',
  serialized_options=b'\n\017nl.uuvig.proveeB\022ProveProjectorGRCPP\001\242\002\006PROVEE',
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n$src/generated/Python/projector.proto\x12\x06provee\x1a\x1bgoogle/protobuf/empty.proto\"%\n\x11progressProjector\x12\x10\n\x08progress\x18\x01 \x01(\x05\"\x1e\n\x0estartProjector\x12\x0c\n\x04path\x18\x01 \x01(\t\"\x16\n\x05model\x12\r\n\x05model\x18\x01 \x01(\x0c\x32\x99\x02\n\tProjector\x12I\n\x15startProjectorService\x12\x16.provee.startProjector\x1a\x16.google.protobuf.Empty\"\x00\x12H\n\x14stopProjectorService\x12\x16.google.protobuf.Empty\x1a\x16.google.protobuf.Empty\"\x00\x12\x33\n\x08getModel\x12\x16.google.protobuf.Empty\x1a\r.provee.model\"\x00\x12\x42\n\x0bgetProgress\x12\x16.google.protobuf.Empty\x1a\x19.provee.progressProjector\"\x00\x42\x30\n\x0fnl.uuvig.proveeB\x12ProveProjectorGRCPP\x01\xa2\x02\x06PROVEEb\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_empty__pb2.DESCRIPTOR,])




_PROGRESSPROJECTOR = _descriptor.Descriptor(
  name='progressProjector',
  full_name='provee.progressProjector',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='progress', full_name='provee.progressProjector.progress', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=77,
  serialized_end=114,
)


_STARTPROJECTOR = _descriptor.Descriptor(
  name='startProjector',
  full_name='provee.startProjector',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='path', full_name='provee.startProjector.path', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=116,
  serialized_end=146,
)


_MODEL = _descriptor.Descriptor(
  name='model',
  full_name='provee.model',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='model', full_name='provee.model.model', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=148,
  serialized_end=170,
)

DESCRIPTOR.message_types_by_name['progressProjector'] = _PROGRESSPROJECTOR
DESCRIPTOR.message_types_by_name['startProjector'] = _STARTPROJECTOR
DESCRIPTOR.message_types_by_name['model'] = _MODEL
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

progressProjector = _reflection.GeneratedProtocolMessageType('progressProjector', (_message.Message,), {
  'DESCRIPTOR' : _PROGRESSPROJECTOR,
  '__module__' : 'src.generated.Python.projector_pb2'
  # @@protoc_insertion_point(class_scope:provee.progressProjector)
  })
_sym_db.RegisterMessage(progressProjector)

startProjector = _reflection.GeneratedProtocolMessageType('startProjector', (_message.Message,), {
  'DESCRIPTOR' : _STARTPROJECTOR,
  '__module__' : 'src.generated.Python.projector_pb2'
  # @@protoc_insertion_point(class_scope:provee.startProjector)
  })
_sym_db.RegisterMessage(startProjector)

model = _reflection.GeneratedProtocolMessageType('model', (_message.Message,), {
  'DESCRIPTOR' : _MODEL,
  '__module__' : 'src.generated.Python.projector_pb2'
  # @@protoc_insertion_point(class_scope:provee.model)
  })
_sym_db.RegisterMessage(model)


DESCRIPTOR._options = None

_PROJECTOR = _descriptor.ServiceDescriptor(
  name='Projector',
  full_name='provee.Projector',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=173,
  serialized_end=454,
  methods=[
  _descriptor.MethodDescriptor(
    name='startProjectorService',
    full_name='provee.Projector.startProjectorService',
    index=0,
    containing_service=None,
    input_type=_STARTPROJECTOR,
    output_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='stopProjectorService',
    full_name='provee.Projector.stopProjectorService',
    index=1,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getModel',
    full_name='provee.Projector.getModel',
    index=2,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=_MODEL,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getProgress',
    full_name='provee.Projector.getProgress',
    index=3,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=_PROGRESSPROJECTOR,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_PROJECTOR)

DESCRIPTOR.services_by_name['Projector'] = _PROJECTOR

# @@protoc_insertion_point(module_scope)
